Page MenuHomePhabricator

logcmdutil: add a type annotation
ClosedPublic

Authored by durin42 on Nov 13 2019, 10:51 PM.

Details

Summary

This wasn't actually required in the end, as there was a real bug
found by pytype, but the annotation helped me figure that out. We can
drop this patch if that's the preference.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

durin42 created this revision.Nov 13 2019, 10:51 PM
dlax accepted this revision.Nov 14 2019, 4:03 AM
durin42 updated this revision to Diff 18098.Nov 14 2019, 4:09 PM
dlax accepted this revision.Nov 15 2019, 3:24 AM
indygreg accepted this revision.Nov 18 2019, 10:43 PM
This revision is now accepted and ready to land.Nov 18 2019, 10:43 PM
This revision was automatically updated to reflect the committed changes.